Main Page Widgets Namespaces Book

# Gtk::TreeIter Class Reference
[TreeView Classes]

Typedefed as Gtk::TreeModel::iterator. More...

Inheritance diagram for Gtk::TreeIter:

[legend]
List of all members.

## Public Types
typedef std::forward_iterator_tag | iterator_category
typedef Gtk::TreeRow | value_type
typedef int | difference_type
typedef const Gtk::TreeRow& | reference
typedef const Gtk::TreeRow* | pointer
## Public Methods
| TreeIter ()
TreeIter& | operator++ ()
const TreeIter | operator++ (int)
reference | operator* () const
pointer | operator-> () const
bool | equal (const TreeIter& other) const
| operator bool () const
## Related Functions
(Note that these are not member functions.)
bool | operator== (const TreeIter& lhs, const TreeIter& rhs)
bool | operator!= (const TreeIter& lhs, const TreeIter& rhs)

## Detailed Description

Typedefed as Gtk::TreeModel::iterator.

The Gtk::TreeModel iterator.

## Member Typedef Documentation

typedef int Gtk::TreeIter::difference_type

| Reimplemented in Gtk::TreeNodeChildren.

typedef std::forward_iterator_tag Gtk::TreeIter::iterator_category

typedef const Gtk::TreeRow* Gtk::TreeIter::pointer

typedef const Gtk::TreeRow& Gtk::TreeIter::reference

typedef Gtk::TreeRow Gtk::TreeIter::value_type

| Reimplemented in Gtk::TreeNodeChildren.

## Constructor & Destructor Documentation

Gtk::TreeIter::TreeIter | ( |  | ) |

## Member Function Documentation

bool Gtk::TreeIter::equal | ( | const TreeIter& | other | ) | const

reference Gtk::TreeIter::operator* | ( |  | ) | `[inline]`

Gtk::TreeIter::operator bool | ( |  | ) |

| Reimplemented in Gtk::TreeRow, and Gtk::TreeNodeChildren.

const TreeIter Gtk::TreeIter::operator++ | ( | int |  | ) |

TreeIter& Gtk::TreeIter::operator++ | ( |  | ) |

pointer Gtk::TreeIter::operator-> | ( |  | ) | `[inline]`

## Friends And Related Function Documentation

bool operator!= | ( | const TreeIter& | lhs,
|  | const TreeIter& | rhs
| ) | `[related]`

bool operator== | ( | const TreeIter& | lhs,
|  | const TreeIter& | rhs
| ) | `[related]`

The documentation for this class was generated from the following file:

- treeiter.h